Loading...
Searching...
No Matches
BALL::BinaryPredicate< T1, T2 > Class Template Reference

`#include <BALL/CONCEPT/predicate.h>`

Inheritance diagram for BALL::BinaryPredicate< T1, T2 >:

## Public Member Functions

virtual | ~BinaryPredicate ()
Predicates
virtual bool | operator() (const T1 &x, const T2 &y) const

## Detailed Description

template<typename T1, typename T2>
class BALL::BinaryPredicate< T1, T2 >

Generic Binary Predicate Class

Definition at line 43 of file CONCEPT/predicate.h.

## Constructor & Destructor Documentation

## ~BinaryPredicate()

template<typename T1, typename T2>

virtual BALL::BinaryPredicate< T1, T2 >::~BinaryPredicate | ( |  | ) |

inline virtual

Definition at line 53 of file CONCEPT/predicate.h.

## Member Function Documentation

## operator()()

template<typename T1, typename T2>

bool BALL::BinaryPredicate< T1, T2 >::operator() | ( | const T1 & | x,
|  | const T2 & | y ) const

virtual

Definition at line 64 of file CONCEPT/predicate.h.